local bdlc, l, f = select(2, ...):unpack()

--------------------------------------
-- EN Localization Defaults (dont touch, use as reference)
--------------------------------------
-- important functionality documentation
l["tierProtector"] = "Protector"
l["tierConqueror"] = "Conqueror"
l["tierVanquisher"] = "Vanquisher"

l["tierHelm"] = "Helm"
l["tierShoulders"] = "Shoulders"
l["tierLegs"] = "Leggings"
l["tierCloak"] = "Cloak"
l["tierChest"] = "Chest"
l["tierGloves"] = "Gauntlets"
l["itemWarforged"] = "Warforged"
l["itemTitanforged"] = "Titanforged"

-- frame/button localizations
l["frameMain"] = "Mainspec"
l["frameMinorUp"] = "Minor Up"
l["frameOffspec"] = "Offspec"
l["frameReroll"] = "Reroll"
l["frameTransmog"] = "Transmog"
l["frameNote"] = "Note"
l["framePass"] = "Pass"
l["frameVote"] = "Vote"
l["frameVotes"] = "Votes"
l["frameNotes"] = "Notes"
l["frameOkay"] = "Okay"
l["frameInterest"] = "Interest"
l["frameCurrentGear"] = "Current Gear"
l["frameConsidering"] = "considering..."
l["frameRank"] = "Rank"
l["frameName"] = "Name"
l["frameAward"] = "Award to "
l["frameYes"] = "Yes"
l["frameNo"] = "No"
l["frameEndSession"] = "End Session"
l["frameIlvl"] = "ilvl"
l["frameItem"] = "Item Name"
l["frameLC"] = "Loot Council"


--l["relicType"] = "(%w+) Artifact Relic" -- the (%w+) represents where the relic name would be - for tooltip scanning
--------------------------------------
-- Other Client Localizations - submit changes to 
-- http://www.wowinterface.com/downloads/info23388-BigDumbLootCouncil.html#comments
-- or
-- https://wow.curseforge.com/projects/big-dumb-loot-council
--------------------------------------
if (GetLocale() == "frFR") then
	-- French 
	l["tierProtector"] = "Protecteur"
	l["tierConqueror"] = "Conquérant"
	l["tierVanquisher"] = "Vainqueur"

	l["tierHelm"] = "Heaume"
	l["tierShoulders"] = "Epaulières"
	l["tierLegs"] = "Jambières"
	l["tierCloak"] = "Cape"
	l["tierChest"] = "Plastron"
	l["tierGloves"] = "Gantelets"
	l["itemWarforged"] = "De guerre"
	l["itemTitanforged"] = "Forgé par les titans"

	-- frame/button FR
	l["frameMain"] = "Spé principale"
	l["frameMinorUp"] = "Up mineur"
	l["frameOffspec"] = "2nd spé"
	l["frameReroll"] = "Reroll"
	l["frameTransmog"] = "Transmo"
	l["frameNote"] = "Note"
	l["framePass"] = "Passer"
	l["frameVote"] = "Voter"
	l["frameVotes"] = "Votes"
	l["frameNotes"] = "Notes"
	l["frameOkay"] = "Okay"
	l["frameInterest"] = "Intéressé(e)"
	l["frameCurrentGear"] = "Stuff actuel"
	l["frameConsidering"] = "Réfléchis..."
	l["frameRank"] = "Rang"
	l["frameName"] = "Nom"
	l["frameAward"] = "Gagnant "
	l["frameYes"] = "Oui"
	l["frameNo"] = "Non"
	l["frameEndSession"] = "Cloturer"
	l["frameIlvl"] = "ilvl"
	l["frameItem"] = "Nom d'objet"
	l["frameLC"] = "Loot Council"

elseif (GetLocale() == "deDE") then
	-- German
	l["tierProtector"] = "Beschützers"
	l["tierConqueror"] = "Eroberers"
	l["tierVanquisher"] = "Bezwingers"

	l["tierHelm"] = "Helm"
	l["tierShoulders"] = "Schultern"
	l["tierLegs"] = "Gamaschen"
	l["tierCloak"] = "Umhang"
	l["tierChest"] = "Brustschutz"
	l["tierGloves"] = "Stulpen"
	
	
elseif (GetLocale() == "itIT") then
	-- Italian
	l["tierProtector"] = "Protettore"
	l["tierConqueror"] = "Conquistatore"
	l["tierVanquisher"] = "Dominatore"

	l["tierHelm"] = "Elmo"
	l["tierShoulders"] = "Spallacci"
	l["tierLegs"] = "Gambiere"
	l["tierCloak"] = "Mantello"
	l["tierChest"] = "Corazza"
	l["tierGloves"] = "Guanti Lunghi"
	l["itemWarforged"] = "Guerraforgiato"
	l["itemTitanforged"] = "Titanforgiato"
	
elseif (GetLocale() == "koKR") then
	-- Korean
	
elseif (GetLocale() == "zhCN") then
	-- Chinese
	
elseif (GetLocale() == "ruRU") then
	-- Russian
	
elseif (GetLocale() == "esES") then
	-- Spanish
	
elseif (GetLocale() == "ptBR") then
	-- Portuguese
	
end